libzypp 17.37.10

zypp::target::rpm::FileInfo Struct Reference

`#include <zypp/target/rpm/RpmHeader.h>`

## Public Attributes
Pathname | filename
ByteCount | size
std::string | md5sum
uid_t | uid
gid_t | gid
mode_t | mode
time_t | mtime
bool | ghost
Pathname | link_target

## Detailed Description

Definition at line 33 of file RpmHeader.h.

## Member Data Documentation

## ◆ filename

Pathname zypp::target::rpm::FileInfo::filename

Definition at line 35 of file RpmHeader.h.

## ◆ size

ByteCount zypp::target::rpm::FileInfo::size

Definition at line 36 of file RpmHeader.h.

## ◆ md5sum

std::string zypp::target::rpm::FileInfo::md5sum

Definition at line 37 of file RpmHeader.h.

## ◆ uid

uid_t zypp::target::rpm::FileInfo::uid

Definition at line 38 of file RpmHeader.h.

## ◆ gid

gid_t zypp::target::rpm::FileInfo::gid

Definition at line 39 of file RpmHeader.h.

## ◆ mode

mode_t zypp::target::rpm::FileInfo::mode

Definition at line 40 of file RpmHeader.h.

## ◆ mtime

time_t zypp::target::rpm::FileInfo::mtime

Definition at line 41 of file RpmHeader.h.

## ◆ ghost

bool zypp::target::rpm::FileInfo::ghost

Definition at line 42 of file RpmHeader.h.

## ◆ link_target

Pathname zypp::target::rpm::FileInfo::link_target

Definition at line 43 of file RpmHeader.h.

The documentation for this struct was generated from the following file:

- zypp/target/rpm/RpmHeader.h